Name: 		kdenlive
Version: 	17.12.3
Release: 	%mkrel 1
License: 	GPLv2+
Summary: 	A non-linear video editing application for KDE
Group:		Graphical desktop/KDE5 
Source: 	http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
URL:		http://www.kdenlive.org
BuildRequires:	qjson-devel
BuildRequires:	qimageblitz-devel
BuildRequires:	mlt-devel >= 0.8.8

BuildRequires:  %{_lib}v4l-devel 

BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel

BuildRequires:  kf5-macros
BuildRequires:  karchive-devel 
BuildRequires:  kbookmarks-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kio-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  knewstuff-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  knotifications-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kdoctools-devel 
BuildRequires:  kplotting-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

Requires:	mlt
Requires:	mlt-kdenlive
Requires:	ffmpeg
Requires:	dvgrab
Requires:	dvdauthor

%description
Kdenlive is a non-linear video editor for KDE. It relies on a separate
renderer, piave, to handle it's rendering. Kdenlive supports multitrack
editing.

%files
%_kf5_bindir/*
%_kf5_datadir/kdenlive
%_iconsdir/hicolor/*/*/*
%_sysconfdir/xdg/*
%_datadir/applications/org.kde.kdenlive.desktop
%_kf5_datadir/config.kcfg/kdenlivesettings.kcfg
%_kf5_datadir/knotifications5/kdenlive.notifyrc
%_kf5_services/mltpreview.desktop
%_kf5_datadir/kxmlgui5/kdenlive
%_qt5_plugindir/mltpreview.so
%_mandir/man1/*
%_datadir/mime/packages/kdenlive.xml
%_datadir/mime/packages/westley.xml
%_datadir/metainfo/org.kde.kdenlive.appdata.xml
%_kf5_datadir/locale
#--------------------------------------------------------------------

%package -n kdenlive-handbook
Summary: kdenlive handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description -n kdenlive-handbook
This package provides kdenlive handbook.

%files -n kdenlive-handbook
%_kf5_docdir/HTML


%prep
%setup -q 
%apply_patches

%build
%cmake_kf5 -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=OFF
%make

%install
rm -rf %buildroot
%make_install -C build

rm -f %{buildroot}%{_datadir}/menu/kdenlive %{buildroot}%{_datadir}/pixmaps/kdenlive.xpm


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Thu Aug 10 2017 bb2 <bb2> - 17.04.3-2pclos2017
- rebuild against updates

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Mon Jan 16 2017 bb <bb> - 16.12.1-2pclos2017
- apply nvidia crash patch

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Thu Dec 15 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Sat Nov 12 2016 bb <bb> 16.08.3-1pclos2016
- update



